@echo off
echo.
echo Bay Trail BIOS updater - DOS Version
echo.

if "%1"=="" goto ef1
if EXIST %1 goto prog
echo   %1 does not exist, please enter the right official bios.
goto end

:prog

H2OFFT-D %1 -ALL -N
H2OFFT-D %1 -SPN -N

goto end

:ef1

echo.
echo   Please enter the BIOS file parameter
echo.
goto end

:end
